JNA API 3.5.2-SNAPSHOT

## com.sun.jna.ptr
Class ShortByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.ptr.ShortByReference

All Implemented Interfaces:
  NativeMapped

    public class ShortByReference

extends ByReference

Constructor Summary
`ShortByReference()`
`ShortByReference(short value)`

Method Summary
`short` `getValue()`
`void` `setValue(short value)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortByReference

    public ShortByReference()

### ShortByReference

    public ShortByReference(short value)

Method Detail

### setValue

    public void setValue(short value)

### getValue

    public short getValue()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.